> ## Documentation Index
> Fetch the complete documentation index at: https://docs.layarva.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Push a complete prayer-schedule month

> Stores one complete validated month for a configured Custom Push source.



## OpenAPI

````yaml /api/openapi.yaml post /api/public/v1/prayer-schedules/sources/{sourceId}/months
openapi: 3.1.0
info:
  title: Layarva Public API
  version: 1.0.0
  description: >-
    Implemented Queue and prayer-schedule public endpoints. Dashboard server
    actions are not public APIs.
servers:
  - url: https://app.layarva.com
security: []
paths:
  /api/public/v1/prayer-schedules/sources/{sourceId}/months:
    post:
      tags:
        - Prayer schedules
      summary: Push a complete prayer-schedule month
      description: Stores one complete validated month for a configured Custom Push source.
      operationId: pushPrayerScheduleMonth
      parameters:
        - name: sourceId
          in: path
          required: true
          schema:
            type: string
            pattern: ^psrc_[A-Za-z0-9-]{20,}$
        - name: Idempotency-Key
          in: header
          required: true
          schema:
            type: string
            minLength: 12
            maxLength: 160
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              description: >-
                Complete monthly prayer schedule using the configured source
                contract.
              additionalProperties: true
      responses:
        '200':
          description: Idempotent replay accepted
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PrayerPushResult'
        '202':
          description: Month accepted
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PrayerPushResult'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          description: Source not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
        '413':
          description: Payload exceeds 512 KB
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
        '415':
          description: Content-Type is not application/json
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
        '422':
          description: Complete month is invalid
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
        '429':
          $ref: '#/components/responses/RateLimited'
      security:
        - workspaceBearer: []
        - workspaceHeader: []
components:
  schemas:
    PrayerPushResult:
      type: object
      properties:
        success:
          type: boolean
          const: true
        replay:
          type: boolean
        sourceId:
          type: string
        period:
          type: string
        checksum:
          type: string
        revision:
          type: integer
        location:
          type: object
          additionalProperties: true
        dayCount:
          type: integer
    ErrorEnvelope:
      type: object
      properties:
        error:
          type: object
          required:
            - code
            - message
          properties:
            code:
              type: string
            message:
              type: string
  responses:
    BadRequest:
      description: Invalid request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorEnvelope'
    Unauthorized:
      description: Authentication failed
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorEnvelope'
    RateLimited:
      description: Rate limit exceeded
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorEnvelope'
  securitySchemes:
    workspaceBearer:
      type: http
      scheme: bearer
      bearerFormat: Workspace API key
    workspaceHeader:
      type: apiKey
      in: header
      name: x-layarva-workspace-key

````